<?php
/**
 * Security check
 *
 * Prevent direct access to the file.
 *
 * @since 1.3
 */
if (!defined('ABSPATH')) {
    exit;
}
/**
 * WooCommerce TextMe fields
 *
 * Add WooCommerce fields to Send settings page.
 *
 * @param $textme_option
 *
 * @since 1.4
 */
function sms_woocommerce_fields($textme_option)
{
    ?>
    <div class="postbox">
     <h2 class="hndle">
                <?php esc_html_e('WooCommerce Events', 'send_sms'); ?>
            </h2>
            <div class="inside">
                <fieldset>
                    <label for="textme_new_order">
                        <input type="checkbox" id="textme_new_order" name="textme_new_order"
                               value="1" <?php if ($textme_option['textme_new_order'] == "1") {
                            echo 'checked';
                        } ?> />
                        <span><?php esc_html_e('Send SMS when new order created', 'send_sms'); ?></span>
                    </label>
                </fieldset>
                <div class="textme_new_order_content <?php if ($textme_option['textme_new_order'] != "1") {
                    echo 'hidden';
                } ?>">
                    <table>
                        <tr>
                            <td>
                            </td>
                            <td>
								<textarea id="textme_new_order_customer_content"
                                          name="textme_new_order_customer_content" cols="80" rows="3"
                                          class="all-options"><?php if ($textme_option['textme_new_order_customer_content']) {
                                        echo $textme_option['textme_new_order_customer_content'];
                                    } ?></textarea>
                            </td>
                        </tr>                  
                    </table>
                </div>
                <hr>
				<fieldset>
                    <label for="textme_order_pending">
                        <input name="textme_order_pending" type="checkbox"
                               id="textme_order_pending" <?php if ($textme_option['textme_order_pending'] == "1") {
                            echo 'checked';
							
                        } ?>
                               value="1"/>
                        <span><?php esc_html_e('Send SMS when order status is pending ', 'send_sms'); ?></span>
                    </label>
                </fieldset>

                <div class="textme_order_pending_content <?php if ($textme_option['textme_order_pending'] != '1') {
                    echo 'hidden';
                } ?>">
                    <table>
                        <tr>
                            <td></td>
                            <td><textarea id="textme_order_pending_sms_customer" name="textme_order_pending_sms_customer"
                                          cols="80" rows="3"
                                          class="all-options"><?php if ($textme_option['textme_order_pending_sms_customer']) {
                                        echo $textme_option['textme_order_pending_sms_customer'];
                                    } ?></textarea>
                            </td>
                        </tr>
                    </table>

                </div>
<hr>
				 <fieldset>
                    <label for="textme_new_order">
                        <input type="checkbox" id="textme_on_hold_order" name="textme_on_hold_order"
                               value="1" <?php if ($textme_option['textme_on_hold_order'] == "1") {
                            echo 'checked';
                        } ?> />
                        <span><?php esc_html_e('Send SMS when order is on hold', 'send_sms'); ?></span>
                    </label>
                </fieldset>
                <div class="textme_on_hold_order_content <?php if ($textme_option['textme_on_hold_order'] != "1") {
                    echo 'hidden';
                } ?>">
                    <table>
                        <tr>
                            <td>
                            </td>
                            <td>
								<textarea id="textme_on_hold_order_customer_content"
                                          name="textme_on_hold_order_customer_content" cols="80" rows="3"
                                          class="all-options"><?php if ($textme_option['textme_on_hold_order_customer_content']) {
                                        echo $textme_option['textme_on_hold_order_customer_content'];
                                    } ?></textarea>
                            </td>
                        </tr>                  
                    </table>
                </div>
                <hr>
                <fieldset>
                    <label for="textme_order_complete">
                        <input name="textme_order_complete" type="checkbox"
                               id="textme_order_complete" <?php if ($textme_option['textme_order_complete'] == "1") {
                            echo 'checked';
                        } ?>
                               value="1"/>
                        <span><?php esc_html_e('Send SMS when order status is completed', 'send_sms'); ?></span>
                    </label>
                </fieldset>

                <div class="textme_order_complete_content <?php if ($textme_option['textme_order_complete'] != '1') {
                    echo 'hidden';
                } ?>">
                    <table>
                        <tr>
                        <td></td>
                            <td><textarea id="textme_order_complete_sms" name="textme_order_complete_sms"
                                          cols="80" rows="3"
                                          class="all-options"><?php if ($textme_option['textme_order_complete_sms']) {
                                        echo $textme_option['textme_order_complete_sms'];
                                    } ?></textarea>
                            </td>
                        </tr>
                    </table>

                </div>

                <hr>
                <fieldset>
                    <label for="textme_order_cancel">
                        <input name="textme_order_cancel" type="checkbox"
                               id="textme_order_cancel" <?php if ($textme_option['textme_order_cancel'] == "1") {
                            echo 'checked';
							
                        } ?>
                               value="1"/>
                        <span><?php esc_html_e('Send SMS when order status is cancelled ', 'send_sms'); ?></span>
                    </label>
                </fieldset>

                <div class="textme_order_cancel_content <?php if ($textme_option['textme_order_cancel'] != '1') {
                    echo 'hidden';
                } ?>">
                    <table>
                        <tr>
                            <td></td>
                            <td><textarea id="textme_order_cancel_sms_customer" name="textme_order_cancel_sms_customer"
                                          cols="80" rows="3"
                                          class="all-options"><?php if ($textme_option['textme_order_cancel_sms_customer']) {
                                        echo $textme_option['textme_order_cancel_sms_customer'];
                                    } ?></textarea>
                            </td>
                        </tr>
                    </table>

                </div>
<hr>

<fieldset>
                    <label for="textme_order_failed">
                        <input name="textme_order_failed" type="checkbox"
                               id="textme_order_failed" <?php if ($textme_option['textme_order_failed'] == "1") {
                            echo 'checked';
							
                        } ?>
                               value="1"/>
                        <span><?php esc_html_e('Send SMS when order status is failed ', 'send_sms'); ?></span>
                    </label>
                </fieldset>

                <div class="textme_order_fail_content <?php if ($textme_option['textme_order_failed'] != '1') {
                    echo 'hidden';
                } ?>">
                    <table>
                        <tr>
                            <td></td>
                            
							    <td><textarea id="textme_order_fail_sms_customer" name="textme_order_fail_sms_customer"
                                          cols="80" rows="3"
                                          class="all-options"><?php if ($textme_option['textme_order_fail_sms_customer']) {
                                        echo $textme_option['textme_order_fail_sms_customer'];
                                    } ?></textarea>
                            </td>
                        </tr>
                    </table>

                </div>

            </div>
        </div>
        <?php
   
}
add_action('text_sms_form_fields', 'sms_woocommerce_fields', 10, 1);
/**
 * WooCommerce new order
 *
 * Send SMS on WooCommerce new order.
 *
 * @param $order_id
 *
 * @since 1.0
 */

function sms_woocommerce_new_order($order_id)
{
		 $option = get_option('sms_option');
    if (1 == $option['textme_new_order']) {
        $sms = new text\sms_geteway();
		$billing_phone = get_post_meta($order_id, '_billing_phone', true);
		$sms_customer = $option['textme_new_order_customer_content'];
        $sms_content = $sms->create_sms_content($order_id, $sms_customer);
        $sms->send_sms($billing_phone,$sms_content );   
    }
}
add_action('woocommerce_order_status_processing', 'sms_woocommerce_new_order');
/**
 * WooCommerce new order
 *
 * Send SMS on WooCommerce new order.
 *
 * @param $order_id
 *
 * @since 1.0
 */

function sms_woocommerce_order_onhold($order_id)
{

		 $option = get_option('sms_option');
    if (1 == $option['textme_on_hold_order']) {
        $sms = new text\sms_geteway();
		$billing_phone = get_post_meta($order_id, '_billing_phone', true);
		$sms_customer = $option['textme_on_hold_order_customer_content'];
        $sms_content = $sms->create_sms_content($order_id, $sms_customer);
        $sms->send_sms($billing_phone,$sms_content );   
    }
}
add_action('woocommerce_order_status_on-hold', 'sms_woocommerce_order_onhold');
/**
 * WooCommerce order pending
 *
 * Send SMS on WooCommerce order payment pending.
 *
 * @param $order_id
 *
 * @since 1.0
 */
function sms_woocommerce_order_pending($order_id)
{
	 $option = get_option('sms_option');
    if (1 == $option['textme_order_pending']) {
        $sms = new text\sms_geteway();
		$billing_phone = get_post_meta($order_id, '_billing_phone', true);
		$sms_customer = $option['textme_order_pending_sms_customer'];
        $sms_content = $sms->create_sms_content($order_id, $sms_customer);
        $sms->send_sms($billing_phone,$sms_content );
    }
	
    
}
add_action('woocommerce_order_status_pending', 'sms_woocommerce_order_pending');

/**
 * WooCommerce order cancellation
 *
 * Send SMS on WooCommerce order cancellation.
 *
 * @param $order_id
 *
 * @since 1.0
 */
function sms_woocommerce_order_cancel($order_id)
{
	 $option = get_option('sms_option');
    if (1 == $option['textme_order_cancel']) {
        $sms = new text\sms_geteway();
		$billing_phone = get_post_meta($order_id, '_billing_phone', true);
		$sms_customer = $option['textme_order_cancel_sms_customer'];
        $sms_content = $sms->create_sms_content($order_id, $sms_customer);
        $sms->send_sms($billing_phone,$sms_content );
    }   
}
add_action('woocommerce_order_status_cancelled', 'sms_woocommerce_order_cancel');
/**
 * WooCommerce order complete
 *
 * Send SMS on WooCommerce order completion.
 *
 * @param $order_id
 *
 * @since 1.0
 */
function sms_woocommerce_order_complete($order_id)
{
    $option = get_option('sms_option');
    if (1 == $option['textme_order_complete']) {
        $sms = new text\sms_geteway();
		$billing_phone = get_post_meta($order_id, '_billing_phone', true);
		$sms_customer = $option['textme_order_complete_sms'];
        $sms_content = $sms->create_sms_content($order_id, $sms_customer);
        $sms->send_sms($billing_phone,$sms_content );
    }
}
add_action('woocommerce_order_status_completed', 'sms_woocommerce_order_complete');
/**
 * WooCommerce order complete
 *
 * Send SMS on WooCommerce order failure.
 *
 * @param $order_id
 *
 * @since 1.0
 */
function sms_woocommerce_order_failed($order_id)
{	
    $option = get_option('sms_option');
    if (1 == $option['textme_order_failed']) {
        $sms = new text\sms_geteway();
		$billing_phone = get_post_meta($order_id, '_billing_phone', true);
		$sms_customer = $option['textme_order_fail_sms_customer'];
        $sms_content = $sms->create_sms_content($order_id, $sms_customer);
        $sms->send_sms($billing_phone,$sms_content );
    }
}
add_action('woocommerce_order_status_failed', 'sms_woocommerce_order_failed');